com.datecs.crypto

## Class TR31

- java.lang.Object
- - com.datecs.crypto.TR31

-     public class TR31
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TR31()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `create(byte[] bpk, java.lang.String usage, java.lang.String algorithm, java.lang.String modeOfUse, java.lang.String keyVersion, java.lang.String exportability, byte[] key)`
    `static byte[]` | `create(byte[] bpk, java.lang.String usage, java.lang.String algorithm, java.lang.String modeOfUse, java.lang.String keyVersion, java.lang.String exportability, byte[] key, byte[] ksn)`
    `static byte[]` | `createAES(byte[] bpk, java.lang.String usage, java.lang.String algorithm, java.lang.String modeOfUse, java.lang.String keyVersion, java.lang.String exportability, byte[] key)`
    `static byte[]` | `createAES(byte[] bpk, java.lang.String usage, java.lang.String algorithm, java.lang.String modeOfUse, java.lang.String keyVersion, java.lang.String exportability, byte[] key, byte[] ksn)`
    `static byte[]` | `createAES(long seed, byte[] bpk, java.lang.String usage, java.lang.String algorithm, java.lang.String modeOfUse, java.lang.String keyVersion, java.lang.String exportability, byte[] key, byte[] ksn)`
    `static byte[]` | `deriveKey(byte[] part1, byte[] part2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TR31

          public TR31()

  - ### Method Detail

    - #### create

          public static byte[] create(byte[] bpk,
                                      java.lang.String usage,
                                      java.lang.String algorithm,
                                      java.lang.String modeOfUse,
                                      java.lang.String keyVersion,
                                      java.lang.String exportability,
                                      byte[] key,
                                      byte[] ksn)

    - #### create

          public static byte[] create(byte[] bpk,
                                      java.lang.String usage,
                                      java.lang.String algorithm,
                                      java.lang.String modeOfUse,
                                      java.lang.String keyVersion,
                                      java.lang.String exportability,
                                      byte[] key)

    - #### createAES

          public static byte[] createAES(long seed,
                                         byte[] bpk,
                                         java.lang.String usage,
                                         java.lang.String algorithm,
                                         java.lang.String modeOfUse,
                                         java.lang.String keyVersion,
                                         java.lang.String exportability,
                                         byte[] key,
                                         byte[] ksn)

    - #### createAES

          public static byte[] createAES(byte[] bpk,
                                         java.lang.String usage,
                                         java.lang.String algorithm,
                                         java.lang.String modeOfUse,
                                         java.lang.String keyVersion,
                                         java.lang.String exportability,
                                         byte[] key,
                                         byte[] ksn)

    - #### createAES

          public static byte[] createAES(byte[] bpk,
                                         java.lang.String usage,
                                         java.lang.String algorithm,
                                         java.lang.String modeOfUse,
                                         java.lang.String keyVersion,
                                         java.lang.String exportability,
                                         byte[] key)

    - #### deriveKey

          public static byte[] deriveKey(byte[] part1,
                                         byte[] part2)